%% Packages and definitions for BI 399

\usepackage[sc]{mathpazo}
\usepackage[T1]{fontenc}
\usepackage[top=.6in, bottom=.75in, left= 1in, right=1in]{geometry}
%\geometry{verbose,tmargin=2.5cm,bmargin=2.5cm,lmargin=2.5cm,rmargin=2.5cm}
% \usepackage{url}
% \usepackage{breakurl}
\usepackage{xspace}
\usepackage[]{graphicx}
\usepackage[]{color}
\usepackage{alltt}
\usepackage{xspace}
\usepackage{titlesec} % to add period to sections
\usepackage{ulem} % to allow strikethrough
\usepackage{fancyhdr} % For headers
\usepackage{indentfirst} % indent first pp for consistency
\usepackage{etaremune} % for reverse numbered lists
\usepackage{paralist} % For inline lists
\usepackage{calc}  
\usepackage{enumitem} % Allows changing list indent etc
\usepackage{authoraftertitle} % To access title/author later
\usepackage[english]{babel}
\usepackage{blindtext} % This and above provide better lipsum control
\usepackage{needspace} % To fix a bad page break
\usepackage{nextpage} % To allow clear to oddpage for TOC
\usepackage{tocloft} % For more TOC control
\usepackage{xcolor} % For color control
% \definecolor{dark-red}{rgb}{0.4,0.15,0.15}
% \definecolor{dark-blue}{rgb}{0.15,0.15,0.4}
\definecolor{medium-blue}{rgb}{0,0,0.5}
\usepackage[unicode=true,pdfusetitle,
 bookmarks=true,bookmarksnumbered=true,bookmarksopen=true,bookmarksopenlevel=2,
 breaklinks=false,pdfborder={0 0 1},backref=false,
 pdfstartview=Fit,
 ocgcolorlinks,
 linkcolor={medium-blue},citecolor={medium-blue}, urlcolor={medium-blue} % sets text color instead of box or underline
 ]{hyperref}

 % Set TOC info
\setcounter{secnumdepth}{2}
\setcounter{tocdepth}{1} 

% To suppress pdf version warning
\pdfminorversion=5
 
% Set pagestyle to make page headers work
\pagestyle{fancy}
 
% Single space after period
\frenchspacing

%% Set up the headers
\renewcommand{\chaptermark}[1]{\markboth{#1}{}}

\fancyhf{} % clear the headers
\fancyhead[R]{%
   % We want italics
   \itshape
   % The chapter title
   \leftmark}
\fancyfoot[C]{\thepage}

% Set no header on first page of each chapter
\fancypagestyle{plain}{
  \renewcommand{\headrulewidth}{0pt}
  \fancyhf{}
  \fancyfoot[C]{\thepage}
}

% Set the header size
\setlength{\headheight}{14.5pt}

%% Set the chapter display for each section
\titleformat{\chapter}[display]
  {\normalfont \huge \centering}{Chapter \thechapter:}{10pt}{}
\titleformat{name=\chapter,numberless}[display]
  {\normalfont \huge \centering}{}{-10pt}{}
\titlespacing*{\chapter}{0pt}{0pt}{10pt}

%% This is slightly less than ideal- won't toggle, doesn't use em.
%% May be a better way to do this 
% \DeclareTextFontCommand{\emph}{\bfseries\itshape}


%Add period after section number- requires titlesec package
\titlelabel{\thetitle.\quad}
% Suppress the numbers completely
% \titlelabel{}

%Widow and orphan penalties
\widowpenalty=5000
\clubpenalty=5000

% % Change name of abstract to question or similar
% \addto\captionsenglish{%
%   \renewcommand{\abstractname}{\Large Question}%
% }

% Change TOC name
\addto\captionsenglish{%
  \renewcommand{\contentsname}{Table of Contents}%  %% 
}

% Change the indent of the descriptions
%Indent the description size
\setdescription{leftmargin=2\parindent,%
		labelindent=\parindent%
		}

% Change TOC layout
\renewcommand{\cftdot}{\dotfill}
\renewcommand{\cftchapleader}{\cftdot}
% \setlength{\cftchapindent}{2cm}
% \cftsetrmarg{5cm} 

 
% Needed to make tildes in code show up in the right spot - used below in setup too.
\newcommand{\mytilde}{\lower.80ex\hbox{\char`\~}\xspace}